Subject: RE: Case #2187050
From: "Abebe, Dagmawi - San Francisco, CA" <[email-masked]>
To: LLPS Customer Service <[email-masked]>
Date: Fri, 22 Jan 2016 18:09:50 +0000

Good morning Mr. Bishop,

Thank you for your efforts in trying to reach the mailer. Keep me posted.

Sincerely,
Dag Abebe
Postal Inspector

From: LLPS Customer Service [mailto:[email-masked]]
Sent: Thursday, January 21, 2016 10:54 AM
To: Abebe, Dagmawi - San Francisco, CA
Subject: Case #2187050

Hello Mr. Abebe.
I have been trying to contact our customer to find out more information as it pertains to this case. It has been difficult as the owner is generally unavailable and/or out of the office. I will continue to try and get a hold of Mr. Ledermann (Pascal) the owner and let you know if anything asap. If I do not have any success in contacting him, I may just want you to send him a letter or call him directly to explain the situation. I will contact you hopefully soon.
Thank you,
Michael Bishop
Labor Law Poster Service